<?php

namespace Drupal\document_ocr\Repository;

/**
 * OpenAi Models respository class.
 *
 * @package document_ocr
 */
class OpenAiModelsRepository extends JsonRepositoryBase {
  protected $repository = 'openai-models';

  /**
   * Get supported models.
   */
  public function getModels($mode) {
    $list = [];
    $repository = $this->toArray();
    if (!empty($repository[$mode]['models'])) {
      foreach ($repository[$mode]['models'] as $group => $models) {
        foreach ($models as $model) {
          $list[$group][$model] = $model;
        }
        ksort($list[$group]);
        $list[$group] = array_reverse($list[$group]);
      }
    }
    return $list;
  }

}
